<template>
  <v-dialog
    v-model="dialog"
    max-width="600px"
  >
    <template v-slot:activator="{ on, attrs }">
      <v-btn
        v-bind="attrs"
        icon
        :disabled="$attrs.disabled"
        v-on="on"
      >
        <description-icon />
      </v-btn>
    </template>

    <v-card>
      <v-card-title class="text-h5">
        <description-icon class="mr-2" />
        <span>{{ $t('title') }}</span>
      </v-card-title>

      <v-card-text>
        <p class="content">
          <slot />
        </p>
      </v-card-text>

      <v-card-actions>
        <v-spacer />
        <cancel-btn
          @click="dialog = false"
        >
          {{ $t('close') }}
        </cancel-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>

<script>
  export default {
    name: 'DescriptionDialog',
    inheritAttrs: false,
    data () {
      return {
        dialog: false,
      }
    },
    i18n: {
      messages: {
        'pt-BR': {
          close: 'Fechar',
          title: 'Descrição',
        },
        'en-US': {
          close: 'Close',
          title: 'Description',
        },
      },
    },
  }
</script>

<style lang="scss" scoped>
.content {
  width: 100%;
  height: 350px;
  overflow-y: auto;
  font-size: 16px;
  font-weight: 300;
  line-height: 28px;
  color: #333333;
  background-color: #ffecb3 /* amber lighten-4 */;
  margin-bottom: 0;
  padding: 12px 16px;
  text-align: justify;
  white-space: pre-line;
}
</style>
